'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFieldValue = undefined;

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getFieldValue = function getFieldValue() {
  var obj = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var fieldName = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';

  var arr = fieldName.split('.');
  var property = arr.shift();
  var value = obj[property];
  if (arr.length === 0 || !value || (typeof value === 'undefined' ? 'undefined' : (0, _typeof3.default)(value)) !== 'object') {
    return value || '';
  }

  return getFieldValue(value, arr.join('.'));
};

var def = {
  getFieldValue: getFieldValue
};

exports.getFieldValue = getFieldValue;
exports.default = def;